
function HBButtonHide(btn)
	for i=0, 6 do
		getglobal(HBUnitFrameName[i].."_btn"..btn):Hide()
	end
end

function HBButtonShow(btn)
	for i=0, 6 do
		getglobal(HBUnitFrameName[i].."_btn"..btn):Show()
	end
end

function HBButtonSetText(btn,text)
	for i=0, 6 do
		getglobal(HBUnitFrameName[i].."_btn"..btn):SetText(text)
	end
end

function HBNotAPriest(pc1, pc2)
	TOP_btn1:Hide();
	TOP_btn2:Hide();
	for b=1, 9 do
		HBButtonHide(b)
	end
end

-- [ TOP_btn1 ][ TOP_btn2 ]
-- [7][8]                [9]
--                          [6]
-- [ 1 ][ 2 ][ 3 ][ 4 ][ 5 ]

function HBPriestIsSecondary(pc1, pc2)
	local pLevel, sLevel = UnitLevel("player")
	-- Reset the skill texts
	HBInitSkillTxt()
	HBSetSkillTxt()

	TOP_btn1:Show();
	TOP_btn2:Hide();
	HBButtonHide(1)
	HBButtonShow(2) -- Urgent Heal
	if (pLevel >= 4) then
		HBButtonShow(4) -- HoT
	else
		HBButtonHide(4)
	end
	HBButtonHide(8)

	if pc1 == 6 then  -- Mage
		if pLevel >= 24 then
			TOP_btn1:SetText(HBsktxt[12]) -- Fire Ward
			skillZ[10] = skillZ[19]
		else
			TOP_btn1:Hide()
		end
		HBButtonHide(3)
		HBButtonHide(5)
		if pLevel >= 15 and sLevel >= 15 then
			HBButtonSetText(7,HBsktxt[15]) -- Essence of Magic
			skillZ[7] = skillZ[18];
		else
			HBButtonHide(7)
		end
		if pLevel >= 20 and sLevel >= 20 then
			HBButtonSetText(9,HBsktxt[14]) -- Purify
			skillZ[9] = skillZ[16];
		else
			HBButtonHide(9)
		end
	elseif pc1 == 2 then -- Scout
		TOP_btn1:Hide();
		if pLevel >= 20 and sLevel >= 20 then
			HBButtonSetText(3,HBsktxt[16]) -- Mana Arrows
			skillZ[3] = skillZ[20];
		else
			HBButtonHide(3)
		end
		if pLevel >= 15 and sLevel >= 20 then
			HBButtonSetText(5,HBsktxt[14]) -- Purifying Shot
			skillZ[5] = skillZ[21];
		else
			HBButtonHide(5)
		end
		HBButtonHide(7)
		HBButtonHide(9)
	elseif pc1 == 5 then -- Knight
		TOP_btn1:Hide();
		HBButtonHide(3)
		HBButtonHide(5)
		if pLevel >= 25 and sLevel >= 25 then
			HBButtonSetText(7,HBsktxt[24]) -- Holy Protection
			skillZ[7] = skillZ[32];
		else
			HBButtonHide(7)
		end
		HBButtonHide(9)
	else
		TOP_btn1:Hide();
		HBButtonHide(3)
		HBButtonHide(5)
		HBButtonHide(7)
		HBButtonHide(9)
	end
end

function HBPriestIsPrimary(pc1, pc2)
	-- Reset the skill texts
	HBInitSkillTxt()
	HBSetSkillTxt()

	if (UnitLevel("player") >= 14) then
		TOP_btn1:Show() -- Group Heal
	else
		TOP_btn1:Hide()
	end
	TOP_btn2:Show() -- Soul Source

	if (UnitLevel("player") >= 28) then
		HBButtonShow(1) -- Salve
	else
		HBButtonHide(1)
	end
	HBButtonShow(2) -- Urgent Heal
	if (UnitLevel("player") >= 6) then
		HBButtonShow(3) -- Heal
	else
		HBButtonHide(3)
	end
	if (UnitLevel("player") >= 4) then
		HBButtonShow(4) -- HoT
	else
		HBButtonHide(4)
	end
	HBButtonShow(5) -- Shield (Wave Armor)
	if (UnitLevel("player") >= 14) then
		HBButtonShow(7) -- HP (Grace of Life)
	else
		HBButtonHide(7)
	end
	if (UnitLevel("player") >= 20) then
		HBButtonShow(8) -- AP (Amplified Attack)
	else
		HBButtonHide(8)
	end
	if (UnitLevel("player") >= 18) then
		HBButtonShow(9) -- Clenz (Cleanse)
	else
		HBButtonHide(9)
	end
end

function HBDruid(pc1, pc2)
	-- Reset the skill texts
	HBInitSkillTxt()
	HBSetSkillTxt()

	-- Druid general skills
	HBButtonSetText(2,HBsktxt[18]) -- Recover with text HoT1
	skillZ[2] = skillZ[22];
	HBButtonShow(2)
	if UnitLevel("player") >= 8 then
		HBButtonSetText(7,HBsktxt[20]) --Savage Blessing with text AS
		skillZ[7] = skillZ[23];
		HBButtonShow(7)
	else
		HBButtonHide(7)
	end
	if UnitLevel("player") >= 20 then
		skillZ[5] = skillZ[31]; -- Mother Earth's Protection
		HBButtonShow(5)
	else
		HBButtonHide(5)
	end

	if pc1 == 8 then
		-- Druid primary skills
		HBButtonSetText(9,HBsktxt[14]) -- Purify with text Prfy
		skillZ[9] = skillZ[16];
		HBButtonShow(9)
		if UnitLevel("player") >= 6 then
			skillZ[3] = skillZ[24]; -- Restore Life
			HBButtonShow(3)
		else
			HBButtonHide(3)
		end
		if UnitLevel("player") >= 10 then
			HBButtonSetText(4,HBsktxt[19]) -- Blossoming Life with text HoT2
			skillZ[4] = skillZ[25];
			HBButtonShow(4)
		else
			HBButtonHide(4)
		end
		if UnitLevel("player") >= 26 then
			HBButtonSetText(1,HBsktxt[23]) -- Curing Seed with text Seed
			skillZ[1] = skillZ[30];
			HBButtonShow(1)
		else
			HBButtonHide(1)
		end
		if UnitLevel("player") >= 28 then
			TOP_btn2:SetText(HBsktxt[22]) -- Concentration Prayer with text Wis BUFF
			skillZ[11] = skillZ[27];
			TOP_btn2:Show();
		else
			TOP_btn2:Hide();
		end
		if UnitLevel("player") >= 36 then
			HBButtonSetText(8,HBsktxt[21]) -- Body Vitalization with text AS
			skillZ[8] = skillZ[28];
			HBButtonShow(8)
		else
			HBButtonHide(8)
		end
		if UnitLevel("player") >= 38 then
			skillZ[10] = skillZ[29]; -- Mother Earth's Fountain
			TOP_btn1:Show();
		else
			TOP_btn1:Hide();
		end
	else
		-- Druid as secondary class
		TOP_btn1:Hide();
		TOP_btn2:Hide();
		HBButtonHide(1)
		HBButtonHide(3)
		HBButtonHide(4)
		HBButtonHide(8)
		HBButtonHide(9)
	end
end


function HBSetSkillTxt()
	TOP_btn1:SetText(HBsktxt[10]);
	TOP_btn2:SetText(HBsktxt[11]);
--	TOP_btn3:SetText(">");

	TOP_cfg6_txt:SetText(HBLangString[1]);
	TOP_cfg8_txt:SetText(HBLangString[2]);
	TOP_check1_txt:SetText(HBLangString[3]);
	TOP_check2_txt:SetText(HBLangString[4]);
	TOP_check3_txt:SetText(HBLangString[5]);
	TOP_check4_txt:SetText(HBLangString[6]);

	HUSelf_btnr:SetText("r");
	HUTgt_btnx:SetText("x");
	HUParty1_btnx:SetText("x");
	HUParty2_btnx:SetText("x");
	HUParty3_btnx:SetText("x");
	HUParty4_btnx:SetText("x");
	HUParty5_btnx:SetText("x");

	HBButtonSetText(1,HBsktxt[1])
	HBButtonSetText(2,HBsktxt[2])
	HBButtonSetText(3,HBsktxt[3])
	HBButtonSetText(4,HBsktxt[4])
	HBButtonSetText(5,HBsktxt[5])
	HBButtonSetText(6,HBsktxt[6])
	HBButtonSetText(7,HBsktxt[7])
	HBButtonSetText(8,HBsktxt[8])
	HBButtonSetText(9,HBsktxt[9])
end