HBShowLowHP = false;

function HBLowHPTick()
	if HBShowLowHP then HBLowHP() end
end

function HBLowHPToggle(arg1)
	if arg1 == "on" then
		HBLowHPBL:Show();
		HBLowHPBR:Show();
		HBLowHPTL:Show();
		HBLowHPTR:Show();
		HBShowLowHP = true;
	elseif arg1 == "off" then
		HBLowHPBL:Hide();
		HBLowHPBR:Hide();
		HBLowHPTL:Hide();
		HBLowHPTR:Hide();
		HBShowLowHP = false;
	end
end

local aStep = 0.05;
local aLow = 0.4;
local aFall = true;
function HBLowHP()
	local a = HBLowHPBL:GetAlpha()
	if aFall then
		local b = a - aStep;
		HBLowHPBL:SetAlpha(b);
		HBLowHPBR:SetAlpha(b);
		HBLowHPTL:SetAlpha(b);
		HBLowHPTR:SetAlpha(b);
		if b < aLow then
			aFall = false;
		end
	else
		local b = a + aStep;
		HBLowHPBL:SetAlpha(b);
		HBLowHPBR:SetAlpha(b);
		HBLowHPTL:SetAlpha(b);
		HBLowHPTR:SetAlpha(b);
		if b >= 1 then
			aFall = true;
		end
	end
end
