local introTimer = 4
local firedTimer = 0
HB_fired = false
HBPassive = false
ShowHBIntro = true


function HBConfig()
	-- Update the config screen with current settings
	local un = UnitName("player")
	local uc = UnitClass("player")
	if not un or not uc then return end
	if (Healbot_VAR[un][uc]["passive"]) then
		TOP_check1:SetChecked(true);
		HBPassive = true;
		HB_fired = true;
	else
		TOP_check1:SetChecked(false);
		HBPassive = false;
	end
	if Healbot_VAR["HideFocus"] then
		FocusHide = true;
		TOP_check2:SetChecked(true);
	else
		TOP_check2:SetChecked(false);
	end
	if Healbot_VAR[un][uc]["ShowTarget"] then
		HUTgtShow = Healbot_VAR[un][uc]["ShowTarget"];
		TOP_check3:SetChecked(true);
	else
		HUTgtShow = Healbot_VAR[un][uc]["ShowTarget"];
		TOP_check3:SetChecked(false);
	end
	if Healbot_VAR["HBPosIsNotLocked"] then
		HBIsNotLocked = Healbot_VAR["HBPosIsNotLocked"];
		TOP_check4:SetChecked(false);
	else
		HBIsNotLocked = Healbot_VAR["HBPosIsNotLocked"];
		TOP_check4:SetChecked(true);
	end
	UIDropDownMenu_Initialize(PetCastDropDownMenu, PetCastDropDownMenu_OnLoad);
	UIDropDownMenu_SetSelectedID(PetCastDropDownMenu, Healbot_VAR[un][uc]["PetHealSkill"]);
	UIDropDownMenu_SetText(PetCastDropDownMenu, SelectedPetCastSkill);

	UIDropDownMenu_Initialize(SkinSelDropDownMenu, SkinSelDropDownMenu_OnLoad);
	UIDropDownMenu_SetSelectedName(SkinSelDropDownMenu, Healbot_VAR["Skin"])
	UIDropDownMenu_SetText(SkinSelDropDownMenu, Healbot_VAR["Skin"]);
end

function HBPassiveTick(elapsedTime)
	if HB_fired and HBPassive then
		firedTimer = firedTimer - elapsedTime
		if firedTimer <= 0 then
			HUSelf:SetAlpha(0.2)
			HB_fired = false;
		end
	end
	if ShowHBIntro then -- Show our splash screen for x seconds.
		introTimer = introTimer - elapsedTime
		if not HBIntro:IsVisible() then
		 HBIntro:Show()
		end
		if introTimer <= 0 then
			ShowHBIntro = false
			introTimer = 4  -- Prepare to show the intro again ?
			HBIntro:Hide()
			if not HBShowLowHP then
				HBLowHPToggle("off")
			end
		end
	end
end

function HBPassiveMode()
	if (TOP_check1:IsChecked()) then
		HB_fired = true;
		Healbot_VAR[UnitName("player")][UnitClass("player")]["passive"] = true;
		HBPassive = true;
	else
		HUSelf:SetAlpha(Healbot_VAR["transparency"]);
		Healbot_VAR[UnitName("player")][UnitClass("player")]["passive"] = false;
		HBPassive = false;
	end
end

function HBFadeIn()
	if HBPassive then
		firedTimer = 5  -- Light the frame for 5 seconds
		HB_fired = true
		HUSelf:SetAlpha(Healbot_VAR["transparency"])
	end
end
