function Healbot_Color()
	local r, g, b = HUSelf_HEALTHBAR:GetColor();
	local a = HUSelf_HEALTHBAR:GetAlpha();
	OpenColorPickerFrame(Healbot_ColorOnSave, true, "Healbar Color", r, g, b, a);
end

function Healbot_SetHealtbarColor(r, g, b, a)
	local frame
	for i = 0, 6 do
		frame = getglobal(HBUnitFrameName[i].."_HEALTHBAR")
		frame:SetColor(r,g,b)
		frame:SetAlpha(a)
	end
	for i = 0, 5 do
		frame = getglobal(HBUnitFrameName[i].."Pet_HEALTHBAR")
		frame:SetColor(r,g,b)
		frame:SetAlpha(a)
	end
end

function Healbot_ColorOnSave()
	local r,g,b,a = ColorPickerFrame.r, ColorPickerFrame.g, ColorPickerFrame.b, ColorPickerFrame.a;
	Healbot_VAR["Bar"] =  {};
	Healbot_VAR["Bar"]["r"] = ColorPickerFrame.r;
	Healbot_VAR["Bar"]["g"] = ColorPickerFrame.g;
	Healbot_VAR["Bar"]["b"] = ColorPickerFrame.b;
	Healbot_VAR["Bar"]["a"] = ColorPickerFrame.a;
	Healbot_SetHealtbarColor(ColorPickerFrame.r, ColorPickerFrame.g, ColorPickerFrame.b, ColorPickerFrame.a)
end

function Healbot_LoadSavedColors()
	if Healbot_VAR["Bar"] then
		if Healbot_VAR["Bar"]["r"] ~= nil and Healbot_VAR["Bar"]["g"] ~= nil and Healbot_VAR["Bar"]["b"] ~= nil and Healbot_VAR["Bar"]["a"] ~= nil then
			Healbot_SetHealtbarColor(Healbot_VAR["Bar"]["r"], Healbot_VAR["Bar"]["g"], Healbot_VAR["Bar"]["b"], Healbot_VAR["Bar"]["a"])
		end
	end
end